Get Prediction Market Trades by Address
Retrieves prediction market trades from Polymarket by an address.
GET
/
api
/
v1
/
trades
/
display
Get Prediction Market Trades by Address
curl --request GET \
--url https://orbscan.com/api/v1/trades/displayimport requests
url = "https://orbscan.com/api/v1/trades/display"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://orbscan.com/api/v1/trades/display', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"code": "0",
"message": "success",
"data": {
"items": [
{
"time": 1780455348,
"action": "Buy",
"recordType": "TRADE",
"actionType": 0,
"price": 93.000002030000088000,
"quantity": 42.857141000000000000,
"fee": 0E-18,
"grossValue": 39.857142000000000000,
"perLegTxValue": 0E-18,
"transferNetAmount": 42.857141000000000000,
"txHash": "0x86659cd0973c7054662ea373f4aef5e902534a83bc101423bcbfb5903911481c",
"tokenId": "99712600321456820436514549846085788583993494623577833658394864438542452432374",
"marketId": "2394628",
"marketSlug": "nhl-las-car-2026-06-02",
"eventSlug": "nhl-las-car-2026-06-02",
"conditionId": "",
"marketTitle": "Golden Knights vs. Hurricanes",
"positionSide": "Golden Knights",
"outcomeIndex": 0,
"logo": "https://polymarket-upload.s3.us-east-2.amazonaws.com/nhl.png",
"quantityPercentage": 100.0000,
"trader": "0x6a72f61820b26b1fe4d956e17b6dc2a1ea3033ee",
"liquidityRole": "MAKER",
"counterpartyCount": 1,
"counterpartyTrades": null
},
{
"time": 1780455346,
"action": "Buy",
"recordType": "TRADE",
"actionType": 0,
"price": 93.000000000000000000,
"quantity": 24.850000000000000000,
"fee": 0E-18,
"grossValue": 23.110500000000000000,
"perLegTxValue": 0E-18,
"transferNetAmount": 24.850000000000000000,
"txHash": "0x0edf7fc704fd4de58d90a3891bccca0442f8ce14d485bcaa603748a86079c3e9",
"tokenId": "99712600321456820436514549846085788583993494623577833658394864438542452432374",
"marketId": "2394628",
"marketSlug": "nhl-las-car-2026-06-02",
"eventSlug": "nhl-las-car-2026-06-02",
"conditionId": "",
"marketTitle": "Golden Knights vs. Hurricanes",
"positionSide": "Golden Knights",
"outcomeIndex": 0,
"logo": "https://polymarket-upload.s3.us-east-2.amazonaws.com/nhl.png",
"quantityPercentage": 100.0000,
"trader": "0x6a72f61820b26b1fe4d956e17b6dc2a1ea3033ee",
"liquidityRole": "MAKER",
"counterpartyCount": 1,
"counterpartyTrades": null
}
],
"nextCursor": "MTc4MDQ1NTM0Nnw4NzgzNzUwMHwxMDY0fDB4MGVkZjdmYzcwNGZkNGRlNThkOTBhMzg5MWJjY2NhMDQ0MmY4Y2UxNGQ0ODViY2FhNjAzNzQ4YTg2MDc5YzNlOToxMDY0"
}
}
Beta
Explore and preview data from Orbscan, a prediction market explorer by team Etherscan.
Experimental endpoint, limits, auth and pricing may change in the future. We love feedback and data consistency at apisupport@etherscan.io
Query Parameters
string
default:"0x6a72f61820b26b1fe4d956e17b6dc2a1ea3033ee"
required
The trader address to query.
integer
default:"20"
The maximum number of trade records to return.
string
The pagination cursor returned as
nextCursor from the previous response. Omit this parameter for the first page.{
"success": true,
"code": "0",
"message": "success",
"data": {
"items": [
{
"time": 1780455348,
"action": "Buy",
"recordType": "TRADE",
"actionType": 0,
"price": 93.000002030000088000,
"quantity": 42.857141000000000000,
"fee": 0E-18,
"grossValue": 39.857142000000000000,
"perLegTxValue": 0E-18,
"transferNetAmount": 42.857141000000000000,
"txHash": "0x86659cd0973c7054662ea373f4aef5e902534a83bc101423bcbfb5903911481c",
"tokenId": "99712600321456820436514549846085788583993494623577833658394864438542452432374",
"marketId": "2394628",
"marketSlug": "nhl-las-car-2026-06-02",
"eventSlug": "nhl-las-car-2026-06-02",
"conditionId": "",
"marketTitle": "Golden Knights vs. Hurricanes",
"positionSide": "Golden Knights",
"outcomeIndex": 0,
"logo": "https://polymarket-upload.s3.us-east-2.amazonaws.com/nhl.png",
"quantityPercentage": 100.0000,
"trader": "0x6a72f61820b26b1fe4d956e17b6dc2a1ea3033ee",
"liquidityRole": "MAKER",
"counterpartyCount": 1,
"counterpartyTrades": null
},
{
"time": 1780455346,
"action": "Buy",
"recordType": "TRADE",
"actionType": 0,
"price": 93.000000000000000000,
"quantity": 24.850000000000000000,
"fee": 0E-18,
"grossValue": 23.110500000000000000,
"perLegTxValue": 0E-18,
"transferNetAmount": 24.850000000000000000,
"txHash": "0x0edf7fc704fd4de58d90a3891bccca0442f8ce14d485bcaa603748a86079c3e9",
"tokenId": "99712600321456820436514549846085788583993494623577833658394864438542452432374",
"marketId": "2394628",
"marketSlug": "nhl-las-car-2026-06-02",
"eventSlug": "nhl-las-car-2026-06-02",
"conditionId": "",
"marketTitle": "Golden Knights vs. Hurricanes",
"positionSide": "Golden Knights",
"outcomeIndex": 0,
"logo": "https://polymarket-upload.s3.us-east-2.amazonaws.com/nhl.png",
"quantityPercentage": 100.0000,
"trader": "0x6a72f61820b26b1fe4d956e17b6dc2a1ea3033ee",
"liquidityRole": "MAKER",
"counterpartyCount": 1,
"counterpartyTrades": null
}
],
"nextCursor": "MTc4MDQ1NTM0Nnw4NzgzNzUwMHwxMDY0fDB4MGVkZjdmYzcwNGZkNGRlNThkOTBhMzg5MWJjY2NhMDQ0MmY4Y2UxNGQ0ODViY2FhNjAzNzQ4YTg2MDc5YzNlOToxMDY0"
}
}